> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get domainv1beta1standardactions

> Gets the list of available standard actions for the current domain (Coming soon! This method isn't yet available. It will be made available in a future release).



## OpenAPI

````yaml /openapis/domain.json get /domain/v1beta1/standardActions
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: domain
    description: >-
      Lets you manage (list, load, patch, update, add new, delete) domain
      settings (beta version, subject to change)
  - name: crosslibraryview
    description: Lets you update cross library view
paths:
  /domain/v1beta1/standardActions:
    get:
      tags:
        - domain
      description: >-
        Gets the list of available standard actions for the current domain
        (Coming soon! This method isn't yet available. It will be made available
        in a future release).
      operationId: domain:v1beta1.StandardActions.listAllInCurrentDomain
      responses:
        '200':
          description: A ApiStandardActionList response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiStandardActionList'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  schemas:
    ApiStandardActionList:
      type: object
      properties:
        actions:
          type: array
          items:
            $ref: '#/components/schemas/ApiStandardAction'
        kind:
          type: string
    ApiStandardAction:
      type: object
      properties:
        active:
          type: boolean
          description: Whether the standard action has been activated in the library
        async:
          type: boolean
          description: >-
            Whether the action will be executed as an asynchronous task
            (read-only field)
        documentationUrl:
          type: string
          description: The URL to an external technical documentation
        executionContext:
          type: string
          description: >-
            The permission context in which the action will be executed
            (Possible values: RUN_AS_SYSTEM, RUN_AS_USER) (read-only field)
          enum:
            - RUN_AS_USER
            - RUN_AS_SYSTEM
        fullDescription:
          type: string
          description: >-
            A more comprehensive (rich-text) description of the purpose and
            behaviour of the standard action
        id:
          type: string
        kind:
          type: string
        name:
          type: string
          description: The name of the standard action (read-only field)
        pictureUrl:
          type: string
          description: >-
            The URL of the logo for the standard action (expected size is
            240x103, with transparent background)
        shortDescription:
          type: string
          description: A terse description of the purpose of the standard action
        type:
          type: string
          description: >-
            The type of the provided action (Possible values: RELATION_FILTER,
            RELATION_RENDER, UPDATE, VIEWER, WORKFLOW_TRANSITION) (read-only
            field)
          enum:
            - RELATION_FILTER
            - RELATION_RENDER
            - UPDATE
            - VIEWER
            - WORKFLOW_TRANSITION
            - REMINDER_CONDITION
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````